[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / audio / amarok

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /pkgsrc/audio/amarok/Makefile between version 1.44 and 1.176

version 1.44, 2006/07/12 13:10:56 version 1.176, 2018/02/26 08:19:26
Line 1 
Line 1 
 # $NetBSD$  # $NetBSD$
   
 DISTNAME=               amarok-1.4.1  DISTNAME=       amarok-${VERS}
 PKGREVISION=            1  VERS=           2.8.0
 CATEGORIES=             audio kde  PKGREVISION=    34
 MASTER_SITES=           ${MASTER_SITE_SOURCEFORGE:=amarok/}  CATEGORIES=     audio multimedia
 EXTRACT_SUFX=           .tar.bz2  MASTER_SITES=   ${MASTER_SITE_KDE:=amarok/${VERS}/src/}
   EXTRACT_SUFX=   .tar.bz2
 MAINTAINER=             wiz@NetBSD.org  
 HOMEPAGE=               http://amarok.kde.org/  MAINTAINER=     pkgsrc-users@NetBSD.org
 COMMENT=                KDE audio player  HOMEPAGE=       https://amarok.kde.org/
   COMMENT=        KDE4 audio player
 USE_DIRS+=              xdg-1.1  LICENSE=        gnu-gpl-v2 AND gnu-fdl-v1.2 AND gnu-lgpl-v2.1
 USE_TOOLS+=             gmake pkg-config msgfmt  
 USE_LANGUAGES=          c c++  BUILD_DEPENDS+= automoc4>=0.9.83:../../devel/automoc4
 GNU_CONFIGURE=          yes  DEPENDS+=       moodbar-[0-9]*:../../audio/moodbar
 USE_LIBTOOL=            yes  
   USE_LANGUAGES=  c c++
 CONFIGURE_ARGS+=        --without-nmm  USE_TOOLS+=     msgfmt pkg-config perl:run
 CONFIGURE_ARGS+=        --without-mas  
 CONFIGURE_ARGS+=        --without-helix  CMAKE_ARGS+=    -DMYSQL_INCLUDE_DIR:PATH=${BUILDLINK_PREFIX.mysql-client}/include/mysql
 CONFIGURE_ARGS+=        --with-mp4v2  CMAKE_ARGS+=    -DMYSQL_EMBEDDED_LIBRARIES:PATH=${BUILDLINK_PREFIX.mysql-server}/lib/mysql/libmysqld.a
 CONFIGURE_ARGS+=        --with-mp4v2-dir=${LOCALBASE}  CMAKE_ARGS+=    -DMYSQL_EMBEDDED_FOUND:BOOL=TRUE
   CMAKE_ARGS+=    -DHAVE_MYSQL_OPT_EMBEDDED_CONNECTION:BOOL=TRUE
 LIBS+=                  ${LIBOSSAUDIO}  CMAKE_ARGS+=    -DMYSQL_LIBRARIES:PATH=${BUILDLINK_PREFIX.mysql-client}/lib/mysql/libmysqlclient.so
   CMAKE_ARGS+=    -DWITH_NepomukCore:BOOL=OFF
 PYTHON_PATCH_SCRIPTS= \  CMAKE_ARGS+=    -DWITH_Soprano:BOOL=OFF
         amarok/src/scripts/common/Publisher.py \  CMAKE_ARGS+=    -DKDE4_BUILD_TESTS:BOOL=OFF
         amarok/src/scripts/common/Zeroconf.py \  
         amarok/src/scripts/playlist2html/Playlist.py \  REPLACE_PERL+=  src/kconf_update/amarok-2.4.1-tokens_syntax_update.pl
         amarok/src/scripts/webcontrol/Playlist.py \  
         amarok/src/scripts/playlist2html/PlaylistServer.py \  SUBST_CLASSES+=         mysql
         amarok/src/scripts/playlist2html/playlist2html.py \  SUBST_STAGE.mysql=      post-patch
         amarok/src/scripts/templates/python_qt_template.py \  SUBST_MESSAGE.mysql=    Fixup paths for MySQL embedded
         amarok/src/scripts/webcontrol/Globals.py \  SUBST_FILES.mysql=      cmake/modules/FindMySQLAmarok.cmake
         amarok/src/scripts/playlist2html/Playlist.py \  SUBST_FILES.mysql+=     src/core-impl/collections/db/sql/mysqlecollection/CMakeLists.txt
         amarok/src/scripts/webcontrol/Playlist.py \  SUBST_SED.mysql=        -e s:/opt/mysqle/:${BUILDLINK_PREFIX.mysql-server}:
         amarok/src/scripts/webcontrol/RequestHandler.py \  # Additional SUBST_SED.mysql added later based on mysql server version
         amarok/src/scripts/webcontrol/WebControl.py \  
         amarok/src/scripts/webcontrol/WebPublisher.py  .include "options.mk"
 REPLACE_RUBY= \  
         amarok/src/amarok_proxy.rb \  .include "../../mk/mysql.buildlink3.mk"
         amarok/src/scripts/lyrics_astraweb/lyrics_astraweb.rb \  .if ${_MYSQL_VERSION} == "56"
         amarok/src/scripts/lyrics_lyrc/lyrics_lyrc.rb \  .include "../../databases/mysql56-server/buildlink3.mk"
         amarok/src/scripts/ruby_debug/debug.rb \  SUBST_SED.mysql+=       -e s:@@WLR@@:${COMPILER_RPATH_FLAG}${BUILDLINK_PREFIX.mysql-server}/lib:
         amarok/src/scripts/score_default/score_default.rb \  .elif ${_MYSQL_VERSION} == "55"
         amarok/src/scripts/score_impulsive/score_impulsive.rb \  .include "../../databases/mysql55-server/buildlink3.mk"
         amarok/src/scripts/templates/amarok.rb \  SUBST_SED.mysql+=       -e s:@@WLR@@:${COMPILER_RPATH_FLAG}${BUILDLINK_PREFIX.mysql-server}/lib:
         amarok/src/scripts/templates/ruby_qt_template.rb  .elif ${_MYSQL_VERSION} == "51"
   .include "../../databases/mysql51-server/buildlink3.mk"
 BUILDLINK_API_DEPENDS.kdebase+= kdebase>=3.3.0  SUBST_SED.mysql+=       -e s:@@WLR@@:${COMPILER_RPATH_FLAG}${BUILDLINK_PREFIX.mysql-server}/lib/mysql:
 BUILDLINK_API_DEPENDS.kdelibs+= kdelibs>=3.3.0  .else
 BUILDLINK_API_DEPENDS.taglib+=  taglib>=1.4  PKG_FAIL_REASON+=       "Unknown mysql version: ${_MYSQL_VERSION}"
   .endif
 .include "../../audio/libtunepimp0.4/buildlink3.mk"  
 .include "../../audio/libvisual/buildlink3.mk"  .include "../../audio/liblastfm/buildlink3.mk"
   .include "../../audio/libofa/buildlink3.mk"
   BUILDLINK_API_DEPENDS.taglib+=  taglib>=1.6nb1
 .include "../../audio/taglib/buildlink3.mk"  .include "../../audio/taglib/buildlink3.mk"
 .include "../../audio/xmms/buildlink3.mk"  .include "../../audio/taglib-extras/buildlink3.mk"
 .include "../../lang/python/application.mk"  .include "../../devel/qjson/buildlink3.mk"
 .include "../../lang/ruby/buildlink3.mk"  .include "../../devel/qtscriptgenerator/buildlink3.mk"
 .include "../../lang/ruby/replace.mk"  .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
 .include "../../meta-pkgs/kde3/kde3.mk"  .include "../../meta-pkgs/kde4/kde4.mk"
 .include "../../mk/oss.buildlink3.mk"  #.include "../../misc/nepomuk-core/buildlink3.mk"
 .include "../../multimedia/kdemultimedia3/buildlink3.mk"  .include "../../multimedia/ffmpeg3/buildlink3.mk"
 .include "../../multimedia/mpeg4ip/buildlink3.mk"  .include "../../multimedia/libkcompactdisc/buildlink3.mk"
 .include "../../multimedia/xine-lib/buildlink3.mk"  .include "../../security/qca2/buildlink3.mk"
 .include "../../x11/kdebase3/buildlink3.mk"  .include "../../sysutils/desktop-file-utils/desktopdb.mk"
 .include "../../x11/kdelibs3/buildlink3.mk"  # for plasma
   .include "../../x11/kde-runtime4/buildlink3.mk"
   BUILDLINK_API_DEPENDS.kdelibs+= kdelibs4>=4.5.0
   .include "../../x11/kdelibs4/buildlink3.mk"
   BUILDLINK_DEPMETHOD.qt4-tools=  full
   .include "../../x11/qt4-tools/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"  .include "../../mk/bsd.pkg.mk"

Legend:
Removed from v.1.44  
changed lines
  Added in v.1.176

CVSweb <webmaster@jp.NetBSD.org>